html {
  scroll-behavior: smooth;
}
body{
    justify-content: center;
    align-items: center;
    margin: 5px;
    background-color: whitesmoke;
    font-family: 'Inter', sans-serif;
}
.banner img{
    width: 100%;
    
   
}
.bar{
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 1px;
    left: 10px;
    width: 98%; 
    flex-wrap: wrap;  
    background: rgba(0,0,0,0.5);
    position: fixed;
    z-index: 1000;
}
.navlinks{
    display: flex;
    
}
#About{
    scroll-margin-top: 100px;
}
.navlinks li{
    padding: 10px;
    font-size: 1.2rem;
    list-style-type: none;
}
.navlinks li a{
    text-decoration: none;
    color: whitesmoke;
    font-size: 1.7rem;
}
.navlinks li a:hover{
    text-decoration: overline;
    color: gold;
}
.bar .logo{
    position: relative;
    top: 10px;
    margin: 10px;
    list-style-type: none;
    color: goldenrod;
    font-size: 2rem;
    font-family: serif;
    font-style: oblique;
    font-weight: 600;
      line-height: 1.6;
  letter-spacing: 0.3px;

    text-decoration: none;
}
/* hover effect*/


.hero{
    position: absolute;
    top: 20rem;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    background: linear-gradient(rgba(0,0,0,0.5),(0,0,0,.5)),url(palour5.jpg);
    background-size: cover;
}
#booking button{
    background-color: goldenrod;
    color: white;
    font-family: 'Times New Roman', Times, serif;
    border-radius: 10px;
    font-size: 1.5rem;
    cursor: pointer;
}
.hero h1{
    color: #ffffff;
   font-family: 'Playfair Display', serif;
  font-size: 48px;
  font-weight: 700;
  font-style: italic;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-size: 2rem;
    position: relative;
    top: 2rem;
    justify-content: center;
        animation: hero 3s ease-in-out;
}

@keyframes hero {
    0%{
        transform: scale(0.1);
    }
    50%{
        transform: translateX(-15px);
    }
    100%{
        transform: translateX(0);
    }
}

picture img{
    float: right;
    width: 40rem;
    height: 25rem;
}
#About h2{
    text-align: center;
}
#About p{
    text-align: center;
    line-height: 2rem;
}
#Service h2{
    position: relative;
    top: 25px;
    text-align: right;
}
#Service{
    padding: 80px 20px;
     scroll-margin-top: 80px;
    
}

#Service h2{
    text-align: center;
    margin-bottom: 40px;
}

/* reusable card layout */

.box,
.boss,
.bro{
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    margin-bottom: 40px;
     
}

.box div,
.boss div,
.bro div{
    flex: 1 1 300px;
    background-color: white;
    border-radius: 15px;
    overflow: hidden;
    padding-bottom: 20px;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
    
}

/* reusable image styling */

.box img,
.boss img,
.bro img{
    width: 100%;
    height: 300px;
    object-fit: cover;
    display: block;
  
   
}
.box img:hover{
   transform: scale(1.05s);
   filter: brightness(50%);
  
   
}
.boss img:hover{
     transform: scale(1.05s);
   filter: brightness(60%);

}
.bro img:hover{
     transform: scale(1.05s);
   filter: brightness(50%);

}
/* bounce animation */

@keyframes image{
    0%{
        transform: scale(0.8s);
    }
    60%{
        transform: scale(1.05s);
    }
    100%{
        transform: scale(1);
    }
}
#Works h2{
    text-align: center;
}
#Works p{
    text-align: center;
}
.container{
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    
}

.container div{
    width: 400px;
    height: 350px;
    background-color: goldenrod;
    flex-grow: 1;
     border-radius: 30px;
   
}
.contain{
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
    justify-content: center;
}
.contain div{
     width: 500px;
    height: 400px;
    background-color: goldenrod;
     border-radius: 30px;
}
.parent{
    color: white;
   
}
.parent h1{
    margin: 10px;
    font-weight: bolder;
}
.parent p{
    line-height: 2rem;
}
.concept{
    color: white;
}
.concept h1{
    margin: 10px;
   
}.concept p{
    line-height: 2rem;
}
.design{
    color: white;
}

.design p{
    line-height: 2rem;
}
.testimonial{
padding-top: 5rem;
}

.testimonial h2{
    text-align: center;
    color: goldenrod;
    
}
.test{
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
}
.test div{
   width: 420px;
    height: 350px;
    background-color: white;
    flex-grow: 1;
     border-radius: 20px;
}
#dreams{
    text-align: center;
    background-color: goldenrod;
    padding: 30px;
    flex-wrap: wrap;
}
#dreams a button{
    border: 1 solid blue;
    background-color: rgb(12, 82, 143);
    width: 100px;
    border-radius: 20px;
}
#contact{
    background-color: black;
    color: white;
    padding: 50px;
}
.veecee{
   text-align: right;
   column-count: 3;
}
.veecee ul li{
    list-style-type: none;
}
#contact .vic{
    text-align: center;
}
.come{
    align-content: center;
    color: white;
    transition: all 1s ease;
}
.final{
    align-content: center;
    color: white;
    transition: 1s ease;
}

.star h1{
    font-size: 3rem;
}
.look h1{
    font-size: 3rem;
}
.psalm h1{
    font-size: 3rem;
}
.whassap{
   position: fixed;
   bottom: 20px;
   right: 20px;
   width: 60px;
   height: 60px;
   background: #25d366;
   color: white; 
   border-radius: 50%;
   display: flex;
   justify-content: center;
   align-items: center;
   font-size: 2rem;
   text-decoration: none;
   box-shadow: 0 5px 10px rgba(0,0,0,0.3);
   z-index: 9999;
   animation: whassap 3s ease-in-out infinite;
}
 /* whassap animation */

 @keyframes whassap {
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-15px);
    }
    100%{
        transform: translateY(0);
    }
    
 }



/*form*/

.Log-in{
    background-image: url(palour6.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

}
.form{
    flex-direction: column;
    align-self: center;
    text-align: center;
    line-height: 1.5rem;
    flex-wrap: wrap;
    padding: 50px;
    justify-content: center;
    align-items: center;
    
}
.form h1{
    font-size: 3em;
    animation-name: form;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
.form input{
    width: 400px;
    height: 30px;
    border-radius: 20px;
}
#type{
    font-size: 1.5rem;
    font-family: poppins;
    font-style: oblique;
    font-weight: bolder;
    color: whitesmoke;
    border-radius: 30px;
    height: 20px;
}
#location{
    resize: none;
    width: 400px;
    height: 100px;
}
#message{
    resize: none;
    width: 400px;
    height: 100px;
}
.project{
    width: 20rem;
    height: 40px;
    text-align: center;
    font-size: 1rem;
    border-radius: 20px;
    color: black;
}
#button{
    font-size: 1rem;
    border-radius: 15rem;
    width: 10rem;
    height: 2rem;
    animation: form 3s infinite linear;
    
}

/* form animation*/
 @keyframes form{
    0%{color: white}
    30%{color:rgb(77, 146, 206)}
    70%{color: red}
    100%{color: black}
 }
 .social{
    background-color: #8b0000;
    width: 100%;
 }
 .social h1{
    text-align: center;
    color: black;
   
 }
 .follow{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background-color: black;
 }
 
 .follow a img{
    width: 50px;
    height: 50px;
     animation: whassap 3s ease-in-out infinite;
 }

/* responsive */

@media screen and (max-width: 800px){
    .hambuger{
       width: 30px;
       cursor: pointer;
       margin: 20px; 
       position: absolute;
       top: -15px;
       right: 0px;
       margin-left: auto;
       
       
       
    }
    .hambuger span{
        display: block;
        height: 4px;
        background-color: white;
        margin: 5px 0;
        border-radius: 5px;
        text-align: right;
        
        
    }
    .navlinks{
    display: none;
    flex-direction: column;
    margin: 20px;
    z-index: 1000;
    
}
.navlinks a{
    display: block;
}

.navlinks li{
    padding: 10px;
    font-size: 1.2rem;
    list-style-type: none;
    
   
}
/* x animation */
.hambuger.active span:nth-child(1){
    transform: rotate(45deg)
    translate(5px, 5px);
}
.hambuger.active span:nth-child(2){
    opacity: 0;
}
.hambuger.active span:nth-child(3){
    transform: rotate(-45deg)
    translate(5px, -10px);
}
.bar .logo{
    position: relative;
    top: 3px;
    left: 30px;
    margin: 10px;
    list-style-type: none;
    color: goldenrod;
    font-size: 2rem;
    font-family: 'Poppins', sans-serif;
    font-weight: 600;
      line-height: 1.6;
  letter-spacing: 0.3px;
text-decoration: none;
}

.hero{
    position: absolute;
    top: 5rem;
    text-align: center;
    font-size: 15px;
    color: white;
}
 

.hero h1{
    color: #ffffff;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-size: 1rem;
    position: relative;
    top: 2rem;
    justify-content: center;
}
.bar{
    display: flex;
    justify-content: space-between;
    position: absolute;
    top: 1px;
    left: 10px;
    width: 100%; 
    flex-wrap: wrap;  
    background: rgba(0,0,0,0.5);
    position: fixed;
    z-index: 1000;
}
.banner img{
    width: 100%;
    
}
#About p{
    text-align: center;
    line-height: 1.rem;
    font-size: 1rem;
}
#Service h2{
    position: relative;
    top: 40px;
    text-align: center;
}
#Service{
    scroll-margin-top: 200px;
}
picture img{
    width: 25rem;
    height: 20rem;
    padding: 10px;
}
.veecee{
   text-align: center;
   column-count: 1;
}
.veecee ul li{
    list-style-type: none;
}

/* form*/
.form h1{
    font-size: 2em;
    animation-name: form;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

}
@media screen and (max-width: 400px){
    .hero h1{
    color: #ffffff;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-size: 1.1rem;
    position: relative;
    top: 0.2rem;
    justify-content: center;
}
picture img{
    width: 23rem;
    height: 20rem;
    padding: 0px;
    margin-left: 5rem;
}
#Service{
   padding-top: 0rem; 
}
.form input{
    width: 250px;
    height: 30px;
    border-radius: 20px;
}
#location{
    resize: none;
    width: 250px;
    height: 100px;
}
#message{
    resize: none;
    width: 250px;
    height: 100px;
}
.project{
    width: 15rem;
    height: 40px;
    text-align: center;
    font-size: 1rem;
    border-radius: 20px;
    color: black;
}
}
@media screen and (max-width: 320px){
    .hero h1{
    color: #ffffff;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-size: 0.9rem;
    position: relative;
    top: 0rem;
    justify-content: center;
}
picture img{
    width: 19rem;
    height: 15rem;
    padding: 0px;
    margin-left: 5rem;
}
#Service{
   padding-top: 0rem; 
}
.form input{
    width: 250px;
    height: 30px;
    border-radius: 20px;
}
#location{
    resize: none;
    width: 250px;
    height: 100px;
}
#message{
    resize: none;
    width: 250px;
    height: 100px;
}
.project{
    width: 15rem;
    height: 40px;
    text-align: center;
    font-size: 1rem;
    border-radius: 20px;
    color: black;
}
.bar .logo{
    position: relative;
    top: 0px;
    margin: 2px;
    list-style-type: none;
    color: goldenrod;
    font-size: 2rem;
    font-family: serif;
    font-style: oblique;
    font-weight: 600;
      line-height: 1.6;
  letter-spacing: 0.3px;

    text-decoration: none;
}
}
@media screen and (max-width: 834px){
.hambuger{
       width: 30px;
       cursor: pointer;
       margin: 20px; 
       position: absolute;
       top: -15px;
       right: 0px;
       margin-left: auto;
       
    }
    .hambuger span{
        display: block;
        height: 4px;
        background-color: white;
        margin: 5px 0;
        border-radius: 5px;
        text-align: right;
        z-index: 1;
        
        
    }
    .navlinks{
    display: none;
    flex-direction: column;
    margin: 20px;
    
    
}
.navlinks a{
    display: block;
}

.navlinks li{
    padding: 10px;
    font-size: 1.2rem;
    list-style-type: none;
    
   
}
/* x animation */
.hambuger.active span:nth-child(1){
    transform: rotate(45deg)
    translate(5px, 5px);
}
.hambuger.active span:nth-child(2){
    opacity: 0;
}
.hambuger.active span:nth-child(3){
    transform: rotate(-45deg)
    translate(5px, -10px);
}
.hero h1{
    color: #ffffff;
    text-shadow: 0 2px 10px rgba(0,0,0,0.5);
    font-size: 1rem;
    position: relative;
    top: 0rem;
    justify-content: center;
}

}
